import { RoomItemInterface } from "@/interfaces/talk";

const rooms: RoomItemInterface[] = [
  {
    id: 18,
    token: "xncug2te",
    type: 4,
    name: "patrick",
    displayName: "Talk updates ✅",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 1,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1634813086,
    lastReadMessage: 0,
    unreadMessages: 27,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 371,
      token: "xncug2te",
      actorType: "bots",
      actorId: "changelog",
      actorDisplayName: "Talk updates ✅",
      timestamp: 1634813086,
      message: "- Raise your hand in a call with the R key",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 21,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 0,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 55,
    token: "obeo6w9i",
    type: 2,
    name: "Teste 0311",
    displayName: "Teste 0311",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1648639003,
    lastReadMessage: 3209,
    unreadMessages: 3,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 3639,
      token: "obeo6w9i",
      actorType: "users",
      actorId: "admin",
      actorDisplayName: "admin",
      timestamp: 1648639003,
      message: "{actor} removed {user}",
      messageParameters: {
        actor: {
          type: "user",
          id: "admin",
          name: "admin",
        },
        user: {
          type: "user",
          id: "carloshgpaulino",
          name: "carloshgpaulino",
        },
      },
      systemMessage: "user_removed",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 145,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 3209,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 86,
    token: "htt6d2cd",
    type: 2,
    name: "devteam",
    displayName: "devteam",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1662753789,
    lastReadMessage: 3706,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5456,
      token: "htt6d2cd",
      actorType: "users",
      actorId: "admin",
      actorDisplayName: "admin",
      timestamp: 1662753789,
      message: "{actor} added {user}",
      messageParameters: {
        actor: {
          type: "user",
          id: "admin",
          name: "admin",
        },
        user: {
          type: "user",
          id: "finajom319",
          name: "Fnajom319",
        },
      },
      systemMessage: "user_added",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 279,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 1570,
    listable: 1,
    callFlag: 0,
  },
  {
    id: 232,
    token: "8pvn9f9s",
    type: 2,
    name: "radio_colmena_EN",
    displayName: "radio_colmena_EN",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1648517724,
    lastReadMessage: 2401,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 3581,
      token: "8pvn9f9s",
      actorType: "users",
      actorId: "vinicius",
      actorDisplayName: "Vinicius Gusmao",
      timestamp: 1648517724,
      message: "{actor} left the conversation",
      messageParameters: {
        actor: {
          type: "user",
          id: "vinicius",
          name: "Vinicius Gusmao",
        },
        user: {
          type: "user",
          id: "vinicius",
          name: "Vinicius Gusmao",
        },
      },
      systemMessage: "user_removed",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 538,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 2244,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 190,
    token: "t5dtii46",
    type: 2,
    name: "aquele honeycomb",
    displayName: "aquele honeycomb",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1661257175,
    lastReadMessage: 4893,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5188,
      token: "t5dtii46",
      actorType: "users",
      actorId: "admin",
      actorDisplayName: "admin",
      timestamp: 1661257175,
      message: "{actor} removed {user}",
      messageParameters: {
        actor: {
          type: "user",
          id: "admin",
          name: "admin",
        },
        user: {
          type: "user",
          id: "drica",
          name: "drica",
        },
      },
      systemMessage: "user_removed",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 616,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 2512,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 234,
    token: "ad7w83vd",
    type: 2,
    name: "Panal Chuva",
    displayName: "Panal Chuva",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1662036495,
    lastReadMessage: 4755,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5287,
      token: "ad7w83vd",
      actorType: "users",
      actorId: "vinicius",
      actorDisplayName: "Vinicius Gusmao",
      timestamp: 1662036495,
      message: "{actor} removed {user}",
      messageParameters: {
        actor: {
          type: "user",
          id: "vinicius",
          name: "Vinicius Gusmao",
        },
        user: {
          type: "user",
          id: "vinicius.cefetes",
          name: "Vinicius Malvadao",
        },
      },
      systemMessage: "user_removed",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 720,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 3534,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 346,
    token: "ma67yu64",
    type: 1,
    name: "habib",
    displayName: "Jean M A Habib",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1661949707,
    lastReadMessage: 5173,
    unreadMessages: 1,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 1,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5233,
      token: "ma67yu64",
      actorType: "users",
      actorId: "habib",
      actorDisplayName: "Jean M A Habib",
      timestamp: 1661949707,
      message: "ola",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: true,
      referenceId: "f3912f6e-6c22-4b52-9541-957d91f6eeca",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 837,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 5173,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 365,
    token: "3thj2866",
    type: 2,
    name: "Meu Honeycomb",
    displayName: "Meu Honeycomb",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1663069115,
    lastReadMessage: 0,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: true,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5486,
      token: "3thj2866",
      actorType: "users",
      actorId: "patrick",
      actorDisplayName: "Patrick Oliveira",
      timestamp: 1663069115,
      message: "You left the call",
      messageParameters: {
        actor: {
          type: "user",
          id: "patrick",
          name: "Patrick Oliveira",
        },
      },
      systemMessage: "call_left",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 840,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 0,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 366,
    token: "vh8kywoj",
    type: 2,
    name: "test Group",
    displayName: "test Group",
    objectType: "",
    objectId: "",
    participantType: 3,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1661611575,
    lastReadMessage: 5226,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 2,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5226,
      token: "vh8kywoj",
      actorType: "users",
      actorId: "patrick",
      actorDisplayName: "Patrick Oliveira",
      timestamp: 1661611575,
      message: "oi",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: true,
      referenceId: "01e6e1b8-24c8-4c39-81a5-2834221c18cc",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 842,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 5023,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 343,
    token: "hitnm5qa",
    type: 1,
    name: "vinicius",
    displayName: "Vinicius Gusmao",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1662036406,
    lastReadMessage: 5177,
    unreadMessages: 9,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 1,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5285,
      token: "hitnm5qa",
      actorType: "users",
      actorId: "vinicius",
      actorDisplayName: "Vinicius Gusmao",
      timestamp: 1662036406,
      message: "mengao",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: true,
      referenceId: "af6afa13-65fd-4dbb-8cea-c3a1df0215d9",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 845,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 5177,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 355,
    token: "3q56p7iy",
    type: 1,
    name: "srbrunomelo",
    displayName: "Bruno Dev",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1661936627,
    lastReadMessage: 5227,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 1,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5227,
      token: "3q56p7iy",
      actorType: "users",
      actorId: "srbrunomelo",
      actorDisplayName: "Bruno Dev",
      timestamp: 1661936627,
      message: "abre a porta ai.",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: true,
      referenceId: "c550053da4dc65931a968d50589b4a8e7bb2ea0becb0b63c4c551b1ad39cd93b",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 854,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 5227,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 348,
    token: "5ceq46p7",
    type: 1,
    name: "makena",
    displayName: "Makena",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1661950321,
    lastReadMessage: 4940,
    unreadMessages: 1,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 1,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5235,
      token: "5ceq46p7",
      actorType: "users",
      actorId: "makena",
      actorDisplayName: "Makena",
      timestamp: 1661950321,
      message: "hi",
      messageParameters: [],
      systemMessage: "",
      messageType: "comment",
      isReplyable: true,
      referenceId: "7715ba4a-805a-44fd-9583-192f17851637",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 884,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 4940,
    listable: 0,
    callFlag: 0,
  },
  {
    id: 388,
    token: "abaeuqxf",
    type: 1,
    name: "santiago.garcia",
    displayName: "Santiago",
    objectType: "",
    objectId: "",
    participantType: 1,
    participantFlags: 0,
    readOnly: 0,
    hasPassword: false,
    hasCall: false,
    canStartCall: true,
    lastActivity: 1662104580,
    lastReadMessage: 0,
    unreadMessages: 0,
    unreadMention: false,
    isFavorite: false,
    canLeaveConversation: true,
    canDeleteConversation: false,
    notificationLevel: 1,
    lobbyState: 0,
    lobbyTimer: 0,
    lastPing: 0,
    sessionId: "0",
    guestList: "",
    lastMessage: {
      id: 5321,
      token: "abaeuqxf",
      actorType: "users",
      actorId: "santiago.garcia",
      actorDisplayName: "Santiago",
      timestamp: 1662104580,
      message: "{actor} created the conversation",
      messageParameters: {
        actor: {
          type: "user",
          id: "santiago.garcia",
          name: "Santiago",
        },
      },
      systemMessage: "conversation_created",
      messageType: "system",
      isReplyable: false,
      referenceId: "",
    },
    sipEnabled: 0,
    actorType: "users",
    actorId: "patrick",
    attendeeId: 899,
    canEnableSIP: false,
    attendeePin: "",
    description: "",
    lastCommonReadMessage: 0,
    listable: 0,
    callFlag: 0,
  },
];

export default rooms;
